docs

# BotBuilder

data class BotBuilder
Content copied to clipboard

## Parameters

proxy

Standard ktor ProxyConfig

ktorClientEngine

Engine like io.ktor.client.engine.cio.CIO

ktorClientConfig

Config block for preconfiguring of bot HttpClient

## Properties

ktorClientConfig
Link copied to clipboard
var ktorClientConfig : HttpClientConfig<*>.() -> Unit ? = null
Content copied to clipboard
ktorClientEngineFactory
Link copied to clipboard
var ktorClientEngineFactory : HttpClientEngineFactory<HttpClientEngineConfig>? = null
Content copied to clipboard
proxy
Link copied to clipboard
var proxy : ProxyConfig? = null
Content copied to clipboard